coap.h File Reference
`#include "libcoap.h"`
`#include "coap_forward_decls.h"`
`#include "address.h"`
`#include "async.h"`
`#include "bits.h"`
`#include "block.h"`
`#include "coap_dtls.h"`
`#include "coap_event.h"`
`#include "coap_io.h"`
`#include "coap_time.h"`
`#include "coap_debug.h"`
`#include "encode.h"`
`#include "mem.h"`
`#include "net.h"`
`#include "option.h"`
`#include "pdu.h"`
`#include "prng.h"`
`#include "resource.h"`
`#include "str.h"`
`#include "subscribe.h"`
`#include "uri.h"`
Include dependency graph for coap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | LIBCOAP_PACKAGE_BUGREPORT "libcoap-developers@lists.sourceforge.net"
#define | LIBCOAP_PACKAGE_NAME "libcoap"
#define | LIBCOAP_PACKAGE_STRING "libcoap 4.2.1"
#define | LIBCOAP_PACKAGE_URL "https://libcoap.net/"
#define | LIBCOAP_PACKAGE_VERSION "4.2.1"

## Macro Definition Documentation

## LIBCOAP_PACKAGE_BUGREPORT

#define LIBCOAP_PACKAGE_BUGREPORT "libcoap-developers@lists.sourceforge.net"

Definition at line 15 of file coap.h.

## LIBCOAP_PACKAGE_NAME

#define LIBCOAP_PACKAGE_NAME "libcoap"

Definition at line 18 of file coap.h.

## LIBCOAP_PACKAGE_STRING

#define LIBCOAP_PACKAGE_STRING "libcoap 4.2.1"

Definition at line 21 of file coap.h.

## LIBCOAP_PACKAGE_URL

#define LIBCOAP_PACKAGE_URL "https://libcoap.net/"

Definition at line 24 of file coap.h.

## LIBCOAP_PACKAGE_VERSION

#define LIBCOAP_PACKAGE_VERSION "4.2.1"

Definition at line 27 of file coap.h.